be.fgov.ehealth.dics.protocol.v5

## Class SynonymType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.SynonymType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:51+01:00",
                 comments="JAXB RI v2.2.11")
      public class SynonymType
      extends Object
      implements Serializable

  Java class for SynonymType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SynonymType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute ref="{http://www.w3.org/XML/1998/namespace}lang"/>
             <attribute name="Rank" type="{http://www.w3.org/2001/XMLSchema}int" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynonymType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLang()` Gets the value of the lang property.
    `Integer` | `getRank()` Gets the value of the rank property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setLang(String value)` Sets the value of the lang property.
    `void` | `setRank(Integer value)` Sets the value of the rank property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynonymType

          public SynonymType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLang

          public String getLang()

      Gets the value of the lang property.
      Returns:
        possible object is `String`

    - #### setLang

          public void setLang(String value)

      Sets the value of the lang property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRank

          public Integer getRank()

      Gets the value of the rank property.
      Returns:
        possible object is `Integer`

    - #### setRank

          public void setRank(Integer value)

      Sets the value of the rank property.
      Parameters:
        `value` - allowed object is `Integer`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.